export default {
	// ——— categories ————————————————————————————————————

	CategoriesAdmin: {
		title: "Categories admin",
		addCategoryBtn: "Add category",
		showInfo: "Information about categories"
	},
	CategoryForm: {
		name: "Id name (eng)",
		title: "Title",
		subTitle: "Subtitle",
		token: "URL token",
		appendTokenToSubCatsPath: "Append token to sub categories path's",
		showInBreadcrumbs: "Show in breadcrumbs",
		icon: "Icon",
		seeAllIcons: "All icons",
		header: "Header",
		selectParent: "Parent category",
		deleteConfirm: "You want to remove the category?",
		parent: "Parent: ",
		hideCb: "Hide",
		settingsJson: "Json settings",
		appendUrlTokenCb: "Add to URL",
		appendUrlTokenInfo: "(use only if you understand what it is)",
		isMaterialsContainerCb: "Contains materials",
		isMaterialsSubTitleEditableCb: "Possibility to edit material subtitle",
		isMaterialsNameEditableCb:
			"Possibility to edit material name (eng), only for admin",
		isCaching: "Caching",
		cachingPageCount: "Cache N pages",
		noTypeLabel: "Without type",
		layout: "Layout",
		validation: {
			name: {
				required: "Enter category name (eng)",
				minLength: "Name (eng) must be at least 2 letters",
				maxLength: `Имя (eng) must contain max ${config.DbColumnSizes.Categories_Name} chars`,
				allowedChars:
					"The name (eng) must consist of the characters `a-z`, `A-Z`, `0-9`, `-`"
			},
			token: {
				allowedChars:
					"URL token must consist of the characters `a-z`, `A-Z`, `0-9`, `-`",
				maxLength: `URL token must contain max ${config.DbColumnSizes.Categories_Token} chars`
			},
			title: {
				required: "Enter category title",
				minLength: "Category title must contain at least 3 letters",
				maxLength: `Title must contain max ${config.DbColumnSizes.Categories_Title} letter`
			},
			subTitle: {
				maxLength: `Subtitle must contain max ${config.DbColumnSizes.Categories_SubTitle} letter`
			},
			icon: {
				minLength: "Minimal icon length - 3",
				maxLength: "Maximum icon length - " + config.DbColumnSizes.Categories_Icon
			},
			parent: {
				required: "Select parent category"
			},
			settingsJson: {
				jsonFormatError: "@:Global.validation.jsonFormatError"
			}
		}
	},
	CategoryItem: {
		rootCategory: "Root category"
	},
	CreateCategory: {
		title: "Create category",
		createBtn: "Create",
		cancelBtn: "@:Global.btn.cancel",
		successNotify: "Category was added."
	},
	EditCategory: {
		title: "Edit category",
		deleteBtn: "Remove category",
		saveBtn: "@:Global.btn.save",
		cancelBtn: "@:Global.btn.cancel",
		deletedNotify: "Category successfully removed.",
		deleteConfirm: "You want to remove the category?",
		deleteDialogBtnOk: "Remove",
		deleteDialogBtnCancel: "Cancel",
		successNotify: "Category was updated."
	},

	// ——— sections ———————————————————————————————————

	SectionForm: {
		name: "Name (eng)",
		token: "Url token",
		type: "Type",
		isCacheData: "Cache data",
		roles: "Roles to access",
		validation: {
			name: {
				required: "Enter name (eng)",
				minLength: "Minimum section name length is 3",
				maxLength:
					"Maximum section name length is " +
					config.DbColumnSizes.Sections_Name +
					" chars",
				allowedChars:
					"The name (eng) must consist of the characters `a-z`, `A-Z`, `0-9`, `-`, `_`"
			},
			token: {
				maxLength:
					"Maximum section name length is " +
					config.DbColumnSizes.Sections_Token,
				allowedChars:
					"Token must consist of the characters `a-z`, `A-Z`, `0-9`, `-`"
			},
			type: {
				required: "Select type"
			},
			jsonFormatError: "@:Global.validation.validation"
		}
	},
	SectionsAdmin: {
		title: "Sections admin",
		addSectionBtn: "Add section"
	},
	CreateSection: {
		title: "Create section",
		createBtn: "@:Global.btn.create",
		cancelBtn: "@:Global.btn.cancel"
	},
	EditSection: {
		title: "Update section",
		saveBtn: "@:Global.btn.save",
		cancelBtn: "@:Global.btn.cancel",
		deleteBtn: "@:Global.btn.delete",
		deleteMsg: "Remove section?",
		btnDeleteOk: "@:Global.dialog.ok",
		btnDeleteCancel: "@:Global.dialog.cancel"
	},

	// ——— menuItems ————————————————————————————————————

	CreateMenuItem: {
		title: "Create menu item",
		createBtn: "@:Global.btn.create",
		cancelBtn: "@:Global.btn.cancel",
		successNotify: "Menu item successfully created"
	},
	EditMenuItem: {
		title: "Edit menu item",
		saveBtn: "@:Global.btn.save",
		cancelBtn: "@:Global.btn.cancel",
		deleteBtn: "Delete menu item",
		successNotify: "Menu item successfully edited",
		deleteMsg: "Delete menu item?",
		btnDeleteOk: "@:Global.dialog.ok",
		btnDeleteCancel: "@:Global.dialog.cancel"
	},
	MenuAdminItem: {
		moveUpBtnTooltip: "Move up",
		moveDownBtnTooltip: "Move down",
		editBtnTooltip: "Edit",
		changeIsHiddenBtnTooltip: "Show / Hide",
		addSubMenuItemBtnTooltip: "Add sub item",
		goToBtnTooltip: "Go to link",
		deleteBtnTooltip: "Delete menu item"
	},
	MenuItemForm: {
		name: "Name (eng)",
		title: "Title",
		subTitle: "Subtitle",
		parent: "Parent element",
		rootElement: "Root element",
		url: "Link internal or external",
		exact: "Highlight menu item only for exact match",
		roles: "Roles can see menu item",
		cssClass: "Css class",
		icon: "Icon",
		seeAllIcons: "All icons",
		settingsJson: "Custom settings (Json)",
		isHidden: "Hide",
		local: "Local link",
		external: "External link",
		urlError: "Error in link",
		validation: {
			name: {
				minLength: "Minimal name length - 3",
				maxLength: "Maximum name length - " + config.DbColumnSizes.MenuItems_Name,
				allowedChars: "Only [a-zA-Z0-9_-] symbols allowed"
			},
			title: {
				required: "Title required",
				minLength: "Minimal title length - 3",
				maxLength: "Maximum title length - " + config.DbColumnSizes.Categories_Title
			},
			subTitle: {
				minLength: "Minimal subtitle length - 3",
				maxLength:
					"Maximum subtitle length - " + config.DbColumnSizes.MenuItems_SubTitle
			},
			cssClass: {
				minLength: "Minimal css class length - 3",
				maxLength:
					"Maximum css class length - " + config.DbColumnSizes.MenuItems_CssClass
			},
			icon: {
				minLength: "Minimal icon length - 3",
				maxLength: "Maximum icon length - " + config.DbColumnSizes.MenuItems_Icon
			},
			settingsJson: {
				jsonFormatError: "@:Global.validation.jsonFormatError"
			}
		}
	},
	MenuItemsAdmin: {
		title: "Menu editor",
		addMenuItemBtn: "Add menu item",
		deleteMsg: "Delete menu item?",
		btnDeleteOk: "@:Global.dialog.ok",
		btnDeleteCancel: "@:Global.dialog.cancel"
	},

	// ——— roles ————————————————————————————————————

	ProfileRoles: {
		roles: "User groups:",
		addRoleBtn: "Add to group",
		removeRoleBtn: "Remove from group",
		addRoleConfirmTitle: "",
		addRoleConfirmMessage: "Add to group '{roleName}'?",
		addRoleConfirmOkBtn: "Yes",
		addRoleConfirmCancelBtn: "@:Global.dialog.cancel",
		removeRoleConfirmTitle: "",
		removeRoleConfirmMessage: "Remove from group '{roleName}'?",
		removeRoleConfirmOkBtn: "Remove",
		removeRoleConfirmCancelBtn: "@:Global.dialog.cancel"
	},
	RolesPage: {
		title: "Groups",
		roles: "Groups"
	},
	RolesPermissions: {
		title: "Upload group permissions (json)",
		backupWarning: "Before uploading, you need to make a database backup.",
		saveToServerBtn: "Save",
		getFromServer: "Reload from server",
		getSuccessNotify: "Download completed successfully",
		saveSuccessNotify: "Group settings were updated successfully",
		textAreaLabel: "Json file of roles permissions"
	},
	RoleUsers: {
		users: "Users",
		filter: "Filter",
		noResults: "Not found",
		filterLimitReached: "Showed first {maxUsersTake} results/"
	},

	// ——— all ————————————————————————————————————

	AdminMenu: {
		adminInformation: "Information",
		adminInformationCaption: "",
		menuItems: "Menu",
		menuItemsCaption: "",
		categories: "Categories",
		categoriesCaption: "",
		sections: "Sections",
		sectionsCaption: "",
		skins: "Skins",
		skinsCaption: "",
		rolesUsers: "Groups",
		rolesUsersCaption: "",
		rolesPermissions: "Permission",
		rolesPermissionsCaption: "",
		configuration: "Configuration",
		configurationCaption: "",
		cypherSecrets: "Cypher keys",
		cypherSecretsCaption: "",
		imagesCleaner: "Disk cleaner",
		imagesCleanerCaption: "",
		deletedElements: "Deleted elements",
		deletedElementsCaption: "",
		version: "SunEngine version",
		resetCache: "Reset cache",
		resetCacheCaption: "",
		resetCacheSuccess: "Cache succesfully reseted"
	},
	AdminPage: {
		title: "@:AdminPanel.title"
	},
	AdminInformation: {
		title: "Information",
		support: "Donate SunEngine project",
		supportInfo: "If you love SunEngine support it:",
		siteName: "Site name",
		serverName: "Server name",
		serverVersion: "Server version",
		serverRepository: "Server repository",
		sunEngineVersion: "SunEngine version",
		clientName: "Client name",
		clientVersion: "Client version",
		dotNetVersion: "DotNet version",
		quasarVersion: "Quasar version",
		vueJsVersion: "VueJS version",
		maintainer: "Site maintainer",
		maintainerContacts: "Maintainer contacts",
		description: "Description",
		sunEngineRepository: "SunEngine repository",
		sunEngineSkinsRepository: "SunEngine skins repository",
		additionalData: "Additional data",
		sunEngineInfo: "SunEngine",
		systemInfo: "System",
		links: "Links",
		appUptime: "Time start SunEngine",
		systemUptime: "Time start operation system",
		operationSystem: "Operation system install on server",
		loadAverage: "Load Average"
	},
	AdminPanel: {
		title: "Admin panel"
	},
	ConfigurationAdmin: {
		title: "Site configuration",
		filter: "Filter",
		noResults: "Nothing found",
		successNotify: "Configuration values successfully saved",
		resetSuccessNotify: "Configuration values reloaded from server",
		resetBtn: "Reset",
		resetBtnTooltip: "Reset input and reload from server",
		cancelBtn: "@:Global.btn.cancel",
		saveBtn: "@:Global.btn.save",
		groupTitles: {
			Editor: "Editor",
			Global: "Global",
			Dev: "Development",
			PasswordValidation: "Password validation",
			Register: "User register",
			Cache: "Cache",
			Images: "Images",
			Sanitizer: "Sanitize HTML",
			Email: "Email",
			Admin: "Admin",
			Scheduler: "Functions scheduler",
			Materials: "Materials",
			Comments: "Comments",
			Forum: "Forum",
			Articles: "Articles",
			Captcha: "Captcha. Check if real user.",
			Blog: "Blog",
			Jwe: "Jwe security",
			Skins: "Skins"
		},
		groupSubTitles: {
			Editor:
				"Toolbar examples on Quasar site - https://quasar.dev/vue-components/editor",
			Sanitizer:
				"When publish all html texts (materials, comments and others) were cleaning against harmful scripts and all html elements except allowed in lists."
		},
		items: {
			"Global:Locale": "Interface language",
			"Global:SiteName": "Site name",
			"Global:SiteTitle": "Site title",
			"Global:SiteSubTitle": "Site subtitle",
			"Global:IconsSet": "Icon set",
			"Global:PageTitleTemplate": "Site title template in browser",
			"Global:HomePageRedirect": "Redirect from home page",
			"Global:DisallowRegistration": "Disallow registration of new users",
			"Global:ReadOnlyMode": "Read only mode for all site",
			"Global:OpenExternalLinksAtNewTab": "Open external links in new window",
			"Dev:ShowExceptions": "Show exceptions",
			"Dev:LogInitExtended": "Extended site initialize log",
			"Dev:LogMoveTo": "Loge site move to",
			"Dev:LogRequests": "Log requests",
			"Dev:VueAppInWindow": "Access to Vue app from console",
			"Dev:VueDevTools": "Allow VueDevTools",
			"Register:ConfirmText": "Register confirm text",
			"Register:RequireUniqueEmail": "One email to only one registration",
			"Register:AllowedUserNameCharacters": "Allowed chars in name",
			"PasswordValidation:RequireDigit": "Require digit",
			"PasswordValidation:RequireLowercase": "Require lowercase char",
			"PasswordValidation:RequireNonAlphanumeric":
				"Require not letter and not number char",
			"PasswordValidation:RequireUppercase": "Require uppercase char",
			"PasswordValidation:RequiredUniqueChars": "Minimum unique chars number",
			"PasswordValidation:RequiredLength": "Minimum length",
			"Images:AllowGifUpload": 'Allow "gif" images upload',
			"Images:AllowSvgUpload": 'Allow "svg" images upload',
			"Images:AvatarSizePixels": "Avatar size in pixels (square avatar)",
			"Images:ImageRequestSizeLimitBytes": "Maximum image size in bytes",
			"Images:MaxImageHeight":
				"Check: maximum image height before compression in px",
			"Images:MaxImageWidth":
				"Check: maximum image width before compression in px",
			"Images:PhotoMaxHeightPixels":
				"The height of the user's photo after px compression",
			"Images:PhotoMaxWidthPixels":
				"Width of the user's photo after px compression",
			"Images:ResizeMaxHeightPixels": "Image height after px compression",
			"Images:ResizeMaxWidthPixels": "Image width after px compression",
			"Admin:AllowCustomJavaScript" :"Allow edit custom JavaScript",
			"Sanitizer:SanitizeAdminMaterials": "Sanitize admin written materials",
			"Sanitizer:AllowedAttributes": "Allowed html attributes",
			"Sanitizer:AllowedClasses": "Allowed html classes",
			"Sanitizer:AllowedCssProperties": "Allowed css properties",
			"Sanitizer:AllowedImageDomains": "Allowed images domains",
			"Sanitizer:AllowedTags": "Allowed html tags",
			"Sanitizer:AllowedVideoDomains": "Allowed video domains",
			"Email:EmailFromAddress": "Email address From",
			"Email:EmailFromName": "Message from",
			"Email:Host": "Host",
			"Email:Login": "Login",
			"Email:Password": "Password",
			"Email:Port": "Port",
			"Captcha:CaptchaTimeoutSeconds": "Captcha tries interval in seconds",
			"Editor:MaterialToolbar": "Material editor toolbar",
			"Editor:CommentToolbar": "Comment editor toolbar",
			"Editor:UserInformationToolbar": "Personal information editor toolbar",
			"Editor:SendPrivateMessageToolbar": "Send private message toolbar",
			"Scheduler:ExpiredRegistrationUsersClearDays":
				"Interval for cleaning up users who did not confirm registration in days",
			"Scheduler:JwtBlackListServiceClearMinutes":
				"Jwe blacklist cleanup interval in minutes",
			"Scheduler:LogJobs": "Log tasks on the server",
			"Scheduler:LongSessionsClearDays":
				"Interval to clear expired sessions in days",
			"Scheduler:SpamProtectionCacheClearMinutes":
				"Interval for clearing the anti-spam cache in minutes",
			"Scheduler:UploadVisitsToDataBaseMinutes":
				"Interval to upload visits cache to database",
			"Materials:CommentsPageSize": "Number of comments per page",
			"Materials:SubTitleLength": "Subtitle length",
			"Materials:TimeToOwnDeleteInMinutes":
				"The time during which you can delete your messages in minutes",
			"Materials:TimeToOwnEditInMinutes":
				"The time during which you can edit your messages in minutes",
			"Materials:TimeToOwnMoveInMinutes":
				"The time during which you can move your messages in minutes",
			"Comments:TimeToOwnDeleteInMinutes":
				"Time during which you can delete your comments in minutes",
			"Comments:TimeToOwnEditInMinutes":
				"Time during which you can edit your comments in minutes",
			"Blog:PostsPageSize": "Post page size",
			"Blog:PreviewLength": "Long thumbnails in symbols",
			"Articles:CategoryPageSize": "Number of articles on page",
			"Forum:NewTopicsMaxPages": "Maximum number of pages in the new topics tab",
			"Forum:NewTopicsPageSize": "The number of topics in the new topics tab",
			"Jwe:Issuer": "",
			"Jwe:LongTokenLiveTimeDays":
				"Duration of the session in days refresh token life",
			"Jwe:ShortTokenLiveTimeMinutes": "Access token lifetime",
			"Skins:CurrentSkinName": "Main theme",
			"Skins:PartialSkinsNames": "Additional themes",
			"Skins:MaxArchiveSizeKb": "Check: maximum archive size in kb",
			"Skins:MaxExtractArchiveSizeKb":
				"Check: maximum archive size after unzipping in kb",
			"Cache:CurrentCachePolicy": "Cache policy",
			"Cache:InvalidateCacheTime": "Retention time of cache entry"
		},
		tooltips: {
			"Global:PageTitleTemplate":
				"Use tokens {pageTitle} and {siteName} for replace parts.",
			"Global:HomePageRedirect": "Without domain, example: /articles",
			"Global:OpenExternalLinksAtNewTab": "In materials, comments and posts.",
			"Global:RegisterConfirmText":
				"This text shows on user register, and needed user confirm to allow registration. You can use links to confirm text page.",
			"Images:MaxImageHeight": "Check when upload to server.",
			"Images:MaxImageWidth": "Check when upload to server.",
			"Admin:AllowCustomJavaScript" :"Custom JavaScript tab will appear on Skins Admin",
			"Sanitizer:AllowedSchemes": "Example: mailto,skype",
			"Dev:LogInitExtended": "In browser console",
			"Dev:LogMoveTo": "In browser console",
			"Dev:LogRequests": "In browser console",
			"Dev:VueAppInWindow": "In browser console",
			"Dev:VueDevTools":
				"After change needed to clean site cache and reload page (ctrl + f5) with closed DevTools",
			"Skins:CurrentSkinName": "Set from skins admin.",
			"Skins:PartialSkinsNames": "Set from skins admin. Comma separated list.",
			"Skins:MaxArchiveSizeKb": "Skin check when uploading on server.",
			"Skins:MaxExtractArchiveSizeKb": "Skin check when uploading on server.",
			"Cache:InvalidateCacheTime":
				"This option is not used by all policies. Values of 0 or lower are interpreted as requiring permanent storage of cache entry."
		}
	},
	CypherSecrets: {
		title: "Reset cypher keys"
	},
	DeletedElements: {
		title: "Deleted elements",
		showDeleted: "Show deleted elements on pages",
		info1: "If checked, deleted materials will shows on any single category.",
		info2:
			"If append '?deleted=1' to any single category URL deleted material will shows.",
		info3:
			"This function will not work on multi categories sections like 'new topics' on forum.",
		btnDeleteAllMarkedComments: "Clean database from deleted materials",
		deleteSuccess:
			"Success clean \nMaterials: {materialsCount}\nComments: {commentsCount}"
	},
	ImagesCleaner: {
		title: "Disk cleaner",
		info: "Lost images not using on site",
		working: "Clearing",
		clearBtn: "Delete lost images",
		refreshBtn: "Refresh lost images list",
		clearCount: "Cleared images: ",
		emptyResult: "Lost images not found"
	},
	SkinsAdmin: {
		title: "Skins admin",
		mainSkins: "Main",
		partialSkins: "Partial",
		customCss: "CSS",
		customJavaScript: "JavaScript"
	},
	MainSkinsAdmin: {
		title: "Skins admin",
		current: "Current",
		info: "Skins collection and documentation to create own skin - ",
		author: "Author: ",
		contacts: "Contacts: ",
		description: "Description: ",
		link: "Link to source.",
		version: "Version: ",
		upload: "Upload main skin",
		uploadSuccessNotify: "Skin uploaded successfully",
		deleteSuccessNotify: "Skin deleted successfully",
		set: "Set",
		deleteMsg: "Delete skin?",
		btnDeleteOk: "@:Global.dialog.yes",
		btnDeleteCancel: "@:Global.dialog.cancel"
	},
	PartialSkinsAdmin: {
		title: "Partial skins",
		onBtn: "Enable",
		offBtn: "Disable",
		deleteMsg: "Delete partial skin?",
		btnDeleteOk: "@:Global.dialog.yes",
		btnDeleteCancel: "@:Global.dialog.cancel",
		upload: "Upload partial skin"
	},
	CustomCssAdmin: {
		title: "Custom CSS",
		cssInput: "Custom CSS",
		saveBtn: "@:Global.btn.save",
		clearBtn: "Clear",
		refreshBtn: "Reload from server",
		reloadSuccessNotify: "Css reloaded from server",
		successNotify: "Css successfully updated"
	},
	CustomJavaScriptAdmin: {
		title: "Custom JavaScript",
		javaScriptInput: "Custom JavaScript",
		saveBtn: "@:Global.btn.save",
		refreshBtn:  "Reload from server",
		reloadSuccessNotify: "JavaScript text reloaded from server",
		successNotify: "JavaScript successfully updated"
	},

	// ——— SectionsEditor ————————————————————————————————————

	SectionsEditor: {
		Activities: {
			name: "Activities",
			Title: "Title",
			SubTitle: "Sub title",
			Header: "Header",
			MaterialsCategories: "Materials categories",
			MaterialsCategoriesExclude: "Categories exclude",
			CommentsCategories: "Comments categories",
			CommentsCategoriesExclude:  "Categories exclude",
			Number: "Activities number"
		},
		Posts: {
			name: "Posts",
			Title: "Title",
			SubTitle: "Sub title",
			Header: "Header",
			Categories: "Categories",
			CategoriesExclude:  "Categories exclude",
			PreviewSize: "Preview length in chars",
			PageSize: "Page size",
			ShowAuthor: "Show author",
			ShowPublishDate: "Show publish date",
			ShowReadNext:"Show ReadNext button",
			ShowComments: "Show comments",
			AddButtonLabel: "Button add material text",
			RolesCanAdd: "Button roles"
		}
	}
};